package com.yd.dal.service.customer.impl;

import com.yd.dal.entity.customer.AclInsurerBranch;
import com.yd.dal.mapper.customer.AclInsurerBranchMapper;
import com.yd.dal.service.customer.AclInsurerBranchDALService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author xxy
 */
@Service("aclInsurerBranchDALService")
public class AclInsurerBranchDALServiceImpl implements AclInsurerBranchDALService {
    @Resource
    private AclInsurerBranchMapper mapper;

    @Override
    public void update(AclInsurerBranch branch) {
        mapper.updateByPrimaryKeySelective(branch);
    }

    @Override
    public List<AclInsurerBranch> findAll() {
        return mapper.findAll();
    }
}
